<?php

// list students
Route::set('dean:students:list', 'dean_office/students(/)')
    ->defaults(array(
        'directory' => 'deanOffice',
        'controller' => 'students',
        'action' => 'index',
    ));

// profile of student
Route::set('dean:students:profile', 'dean_office/students(/<id>)', ['id' => '\d+'])
    ->defaults(array(
        'directory' => 'deanOffice',
        'controller' => 'students',
        'action' => 'profile',
    ));

// the most common route
Route::set('dean_office:index', 'dean_office(/<controller>(/<action>(/<param1>(:<param2>))))')
    ->defaults(array(
        'directory' => 'deanOffice',
        'controller' => 'sheets',
        'action' => 'index',
    ));
